Bug 1510631 - [RFE] Virt-who SSH private key in a configurable location [NEEDINFO]
Summary: [RFE] Virt-who SSH private key in a configurable location
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: pre-dev-freeze
: ---
Assignee: candlepin-bugs
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks: 1353215
TreeView+ depends on / blocked
 
Reported: 2017-11-07 21:03 UTC by Andrea Perotti
Modified: 2019-08-08 02:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 19:11:10 UTC
aperotti: needinfo? (candlepin-bugs)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1510536 None CLOSED [RFE] obfuscate password for ssh key in virt-who config file used to connect to hypervisor 2019-07-08 09:11:59 UTC

Internal Links: 1510536

Description Andrea Perotti 2017-11-07 21:03:55 UTC
Description of problem:

2. What is the nature and description of the request?
The location of the private-key of the ssh-key used by virt-who to connect to libvirt should be configurable in the virt-who conf file.

3. Why does the customer need this? (List the business requirements here)
For security and compliance reasons is requested to use a dedicated ssh-key for applicative uses respect to the one used for administrative connection.

4. How would the customer like to achieve this? (List the functional requirements here)
With the addition of a new option in virt-who config file

5. For each functional requirement listed in question 4, specify how Red Hat and Customer can test to confirm the requirement is successfully implemented.

This can be tested by generating 2 ssh keys with different names and placing the public one of the dedicated to virt-who key into the hypervisor and verifying that the connection could happen.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?
   No

7. How quickly does this need resolved? (desired target release)
As soon as possible, it should be made available both on RHEL6 and RHEL7

8. Does this request meet the RHEL Inclusion criteria (please review)
  Yes

9. List the affected packages
virt-who

Version-Release number of selected component (if applicable):

virt-who-0.19-6

Comment 5 William Poteat 2019-06-11 19:11:10 UTC
This is not necessary for virt-who to operate and it is outside the scope of the application.


Note You need to log in before you can comment on or make changes to this bug.